<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	http://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/
$route['default_controller'] = 'Pages';
$route['robots.txt'] = "Seo/robots";
$route['sitemap.xml'] = "Seo/sitemap";
$route['sitemap.html'] = "Seo/userSitemap";
$route['blog'] = "Pages/viewPage/blog/home";
$route['blog/view/(:any)'] = "Pages/viewPage/blog/single/$1";
$route['blog/category/(:any)'] = "Pages/viewPage/blog/category/$1";
$route['blog/archive/(:any)'] = "Pages/viewPage/blog/archive/$1";
$route['blog/(:any)'] = "Pages/viewPage/blog/$1";
$route['search-results'] = "Pages/viewPage/pages/search";
$route['doLogin'] = "Members/doLogin";
$route['logout'] = "Members/doLogout";
$route['doSignup'] = "Members/doSignup";
$route['members/(:any)/(:any)'] = "Members/$1/$2";
$route['members/(:any)'] = "Members/$1";
$route['doProcess/(:any)'] = "Factory/$1";
$route['a/manage_panel'] = "Pages/viewPage/admin/home";
$route['a/manage_panel/doProcess/(:any)/(:any)'] = "Admin/$1/$2";
$route['a/manage_panel/doProcess/(:any)'] = "Admin/$1";
$route['a/manage_panel/(:any)'] = "Pages/viewPage/admin/$1";
$route['a/manage_panel/(:any)/(:any)'] = "Pages/viewPage/admin/$1/$2";
$route['(:any)'] = 'Pages/viewPage/pages/$1';
$route['404_override'] = 'System404';
$route['translate_uri_dashes'] = FALSE;
