<?php
/**
Factory class for general site functions.
**/
class Factory extends CI_Controller {
	/**
	Factory class for general site functions.
	**/
	function __construct() {
		parent::__construct();
		$this->load->model('factory_model');
		$this->load->library('session');
		$this->load->helper('url');
	}
	
	function index() {
		// do nothing
	}
	
	function doContact() {
		/**
		Function for controlling the contact us page form.  It requires that email be filled out.
		It accepts the following POST variables
		$args['fn'] = First Name
		$args['ln'] = Last Name
		$args['email'] = Email Address
		$args['phone'] = Phone Number
		$args['addr1'] = Address 1
		$args['addr2'] = Address 2
		$args['city'] = City
		$args['state'] = State
		$args['zip'] = Zip
		$args['message'] = Message
		$args['gaoi'] = Geographical Areas of Interest
		
		Can conditionally accept 2 additional hidden POST variables:
		redirect - page url to redirect to (/index.php or /contact)
		jump - link target to jump to (#theform or #dividname)
		**/
		$vars = $this->input->post();
		if (!isset($vars['redirect'])) {
			$redirect = "/contact";
		} else {
			$redirect = $vars['redirect'];
		}
		
		$extra = '';
		if (isset($vars['jump']) && $vars['jump'] != '') {
			$extra = $vars['jump'];
		}
		
		if (!isset($vars['email']) || $vars['email'] == '') {
			$verror = "Please fill out all required fields.";
			redirect($redirect . '?verror=' . urlencode($verror) . $extra, 'refresh');
		} else {
			$args['fn'] = @$vars['fn'];
			$args['ln'] = @$vars['ln'] ?: '';
			$args['email'] = @$vars['email'];
			$args['phone'] = @$vars['phone'];
			$args['addr1'] = @$vars['addr1'];
			$args['addr2'] = @$vars['addr2'];
			$args['city'] = @$vars['city'];
			$args['state'] = @$vars['state'];
			$args['zip'] = @$vars['zip'];
			$args['message'] = @$vars['message'];
			$args['gaoi'] = @$vars['gaoi'];
			
			$result = $this->factory_model->doContact($args);
			redirect($redirect . '?success=' . urlencode($result) . $extra, 'refresh');
		}
	}
	
	function doAuthorizeInstagram() {
		/**
		Function for getting instagram access token.
		**/
		echo $this->factory_model->getInstagramFeed();
	}
	
	function doMailchimp() {
		$this->load->helper('mailchimp');
		$vars = $this->input->post();
		$email = $vars['email'];
		if (strpos($vars['name'], " ") !== FALSE) {
			$names = explode(" ", $vars['name']);
			$fn = $names[0];
			$ln = $names[1];
		} else {
			$fn = $vars['name'];
			$ln = "30a";
		}
		$MailChimp = new MailChimp('7e8abc0fa4b439912951fc817b61d9f5-us3');
		$result = $MailChimp->call('lists/subscribe', array(
						'id'                => 'c40e36b936',
						'email'             => array('email'=>$email),
						'merge_vars'        => array('FNAME'=>$fn, 'LNAME'=>$ln),
						'double_optin'      => false,
						'update_existing'   => true,
						'replace_interests' => false,
						'send_welcome'      => false,
					));
		if (isset($result['status']) && $result['status'] == 'error') {
			redirect('/index.php?verror=' . urlencode('Please check your entry and try again.'), 'refresh');
		} else {
			redirect('index.php?verror=' . urlencode('You have been subscribed to our list.'), 'refresh');
		}
	}
}
?>