<?php
/**
Controller for SEO functions
**/
class Seo extends CI_Controller {
	/**
	Controller for SEO functions
	**/
	function __construct() {
		parent::__construct();
		$this->load->model('seo_model');
	}
	
	function sitemap() {
		/**
		Function to generate sitemap from pages / posts / etc
		**/
		header("Content-type: text/xml");
		echo '<?xml version="1.0" encoding="UTF-8" ?>
		<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">
    	<url>
        	<loc>' . $this->config->base_url() . '</loc> 
        	<priority>1.0</priority>
    	</url>
		';
		
		$pages = $this->seo_model->getSitemap();
		foreach($pages as $key=>$value) {
			echo '<url>
				<loc>' . $value . '</loc>
				<priority>0.5</priority>
			</url>';
		}
		
		echo '</urlset>';
	}
	
	function userSitemap() {
		/**
		Function to generate a user sitemap from pages / posts / etc
		**/
		echo "<h1><a href='/index.php'>Home</a></h1>";
		$pages = $this->seo_model->getSitemap();
		foreach($pages as $key=>$value) {
			echo '<p><a href="' . $value . '">' . $value . '</a></p>';
		}
	}
	
	function robots() {
		/**
		Function to generate robots.txt
		**/
		$disallow = array("/doLogin", "/search-results", "/logout", "/doSignup", "/doProcess", "/template/admin");
		echo "Sitemap: " . $this->config->base_url() . "sitemap.xml \r\n";
		echo "User-agent: * \r\n";
		foreach ($disallow as $key=>$value) {
			echo "Disallow: " . $value . " \r\n";
		}
	}
}
?>