<?php
/**
File input output helper class for dealing with files.
*/
class fileio {
	/**
	File input output helper class for dealing with files.
	*/
	function upload($file, $input, $uploaded_by, $name, $type, $location = '/template/uploads/') {
		/**
		Upload file class.  Requires the following arguements:
		$file: $_FILES
		$input: Name of the input file type
		$uploaded_by: user id of uploader
		$name: name of file to be saved
		$type: type of file (not currently used)
		$location: default to '/template/uploads/'
		
		It returns an array with the following keys:
		status: 1 for success, 0 for failure
		location: if successful, the location of the saved file
		error: if failure, the reason text
		*/
		$error = 0;
		$verror = '';
		$upload_dir = getcwd() . $location;
		if (!isset($file[$input])) {
			return "File not found.<br />";
		}
		if ($file[$input]["error"] > 0) {
		   $verror .= "Error: " . $file[$input]["error"] . "<br />";
		   $error++;
		} else {
			// collect data
			$filename = $file[$input]["name"];
			$filetype = $file[$input]["type"];
			$filesize = $file[$input]["size"];
			$fileloc = $file[$input]["tmp_name"];
		   
			// Prep allowed extensions & limits
			$limit = 3000000;
			$allowedExts = array("gif", "jpeg", "jpg", "png");
			$temp = explode(".", $filename);
			$extension = end($temp);
			if (!in_array($extension, $allowedExts)) {
				$error++;
				$verror .= "Error: File Extension Not Allowed<br />";
			}
			if ($filesize > $limit) {
				$error++;
				$verror .= "Error: File size exceeds limit<br />";
			}
			if (file_exists($upload_dir . $name . "." . $extension)) {
				$verror .= $upload_dir . $name . "." . $extension . " already exists.<br />";
				$error++;
			}
			
			if ($error == 0) {
				if (move_uploaded_file($file[$input]["tmp_name"], $upload_dir . $name . "." . $extension)) {
					//echo "Stored in: " . $upload_dir . $file[$input]["name"];
				} else {
					$verror .= "Error: File move failed<br />";
					$error++;
				}
			}
		}
		if ($error == 0) {
			// REVISE TO RETURN ARRAY WITH INFORMATION
			$result['status'] = 1;
			$result['location'] = $location . $name . "." . $extension;
			return $result;
		} else {
			$result['status'] = 0;
			$result['error'] = $verror;
			return $result;
		}
		
		/*
		// For usage:
		if ($_FILES) {
			$test = new fileio;
			$testy = $test->upload($_FILES, 'file', 'me', '33123', null);
			// upload($_FILES, $file_input_name, $uploaded_by, $file_rename (without extension), $type (for later)
			echo $testy;
		}
		*/
	}
}
?>