<?php 
/**
Custom session library for more secure PHP sessions within codeigniter
*/
if (!defined('BASEPATH')) { 
	exit( 'No direct script access allowed' );
}

class PHPSession {
	/**
	Custom session class for more secure PHP sessions within codeigniter
	*/
	function __construct() {
		session_start();
		if (!isset($_SESSION['regen'])) {
			$_SESSION['regen'] = 0;
		}					 
	}
	
	function regenid() {
		$_SESSION['regen'] = $_SESSION['regen'] + 1;
		if ($_SESSION['regen'] >= 15) {
			$_SESSION['regen'] = 0;
			session_regenerate_id();
		}
	}
	
	function get($key) {
		if (isset($_SESSION[$key])) {
			return $_SESSION[$key];
		} else {
			return false;
		}
		$this->regenid();
	}
	
	function set($key, $value) {
		$this->regenid();
		$_SESSION[$key] = $value;
	}
	
	function del($key) {
		$this->regenid();
		if (isset($_SESSION[$key])) {
			unset($_SESSION[$key]);
		}
	}
	
	function show_all() {
		return print_r($_SESSION, true);
	}
}