<?php
/**
Pages model for fetching page data
*/
class Pages_model extends CI_Model {
	/**
	Pages model for fetching page data
	*/
	function __construct() {
		parent::__construct();
		$this->load->database();
	}
	function index() {
		// do nothing	
	}
	
	function getPage($slug, $type = '') {
		/**
		Function to get page data from the database.  It looks everything up by slug.
		*/
		
		$query = "select * from `pages` where `slug` = ? and `active` = 1";
		$result = $this->db->query($query, array($slug));
		$results = $result->result_array();
		return $results;
	}
	
	function getBlock($block_id) {
		/**
		Function to get block data from the database.  It looks everything up by sys_id.
		*/
		
		$query = "select * from `blocks` where `sys_id` = ? and `active` = 1";
		$result = $this->db->query($query, array($block_id));
		$results = $result->result_array();
		return $results;
	}
	
	function getSearchResults($search, $numposts = 5, $pagination = 1) {
		/**
		Function to get search results.  It requires just the search term.
		**/
		if ($pagination != 1) {
			$extra = " limit " . $numposts . " offset " . (($pagination - 1) * $numposts);
		} else {
			$extra = " limit " . $numposts;
		}
		$query = "select SQL_CALC_FOUND_ROWS * from `search_index` where `title` like ? or `content` like ? and `active` = 1" . $extra;
		$result = $this->db->query($query, array("%" . $search . "%", "%" . $search . "%"));
		if ($result->num_rows() > 0) {
			$results['posts'] = $result->result_array();
			$query = "select FOUND_ROWS();";
			$result = $this->db->query($query);
			$rows = $result->result_array();
			$rows = $rows[0]['FOUND_ROWS()'];
			$results['total'] = $rows;
			$results['page'] = $pagination;
			$results['per_page'] = $numposts;
			return $results;
		} else {
			return 0;
		}
	}
}
?>