<?php
/**
Model for SEO functions
**/
class Seo_model extends CI_Model {
	/**
	Model for SEO function
	**/
	function __construct() {
		parent::__construct();
		$this->load->database();
	}
	
	function getMeta($sys_id = NULL, $type = NULL) {
		/**
		Function to get meta information for a post / page.  Requires the following arguements:
		sys_id: ID of psot
		type: type of post
		**/
		if (isset($sys_id) && isset($type)) {
			$query = "select * from `meta` where `sys_id` = ? and `type` = ?";
			$result = $this->db->query($query, array($sys_id, $type));
			if ($result && $result->num_rows() > 0) {
				$results = $result->result_array();
				$meta['meta_content'] = $results[0]['meta_content'];
				$meta['meta_title'] = $results[0]['meta_title'];
				return $meta;
			} else {
				$meta['meta_content'] = "";
				$meta['meta_title'] = "";
				return $meta;
			}
		} else {
			$meta['meta_content'] = "";
			$meta['meta_title'] = "";
			return $meta;
		}
	}
	
	function getSitemap() {
		/**
		Function to get sitemap data from the database and common file locations.
		**/
		$url = $this->config->base_url();
		$pages = array();
		$query = "select * from `search_index`";
		$result = $this->db->query($query);
		$results = $result->result_array();
		foreach ($results as $key=>$value) {
			$slug = $url . $value['slug'];
			$pages[] = $slug;
		}
		
		/*
		// Below gets all view files as urls
		foreach(glob(APPPATH . 'views/pages/*.*') as $file) {
			$url = str_replace(".php", "", basename($file));
			$pages[] = $url . "/" . $url;
		}
		
		// Below gets all routes as urls
		$router = $this->router->routes;
		foreach ($router as $key=>$value) {
			if (!strpos($key, "(:any)")) {
				$pages[] = $url . "/" . $key;
			}
		}
		*/
		
		return $pages;
	}
}
?>