<?php $title = "Our History - Momma Goldberg's Deli";
	$page_id = "history"; ?>

<?php require 'header.php'; ?>

<section class="main-content">
	<div class="grunge-flipped"></div>
	<div class="page-title x4-top-padding x3-bot-padding text-center">
		<h2>History</h2>
	</div>

	<div class="container text-center">
		<p>Momma Goldberg’s Deli opened in 1976 in Auburn, a college town in Southeastern Alabama. The original location still operates on the corner of Magnolia Avenue and Donahue Drive, making it the oldest independently-owned restaurant in the city.</p>

		<p>For more than 37 years, Momma Goldberg’s has proven to be a successful player in the fast-casual dining market. Vast arrays of customers have grown accustomed to our delicious food and a relaxed, sociable atmosphere. The “old school” deli theme allows customers to create their own sandwiches and salads as well as choose from the appetizing specialty menu. All sandwiches, soups, and salads are made with the freshest ingredients, ensuring a high-quality dining experience.</p>

		<p>Momma Goldberg’s has always been a family business. Founder Don DeMent was always a hands-on operator and his can-do attitude started with himself, and often spread to include his family. Off and on throughout the years, Don’s family has joined the staff either officially or unofficially. Don’s wife, Betty, is no stranger to hard work either. She spent many a days, nights and weekends being everything from a sandwich maker to cashier to housekeeper throughout the years. Don’s brother, Mike, has been an active employee through his graphic design career, starting with the Momma Goldberg’s logo and continuing today with designing ads and point of purchase material. Mike also helped run stores in Auburn and Columbus in the 1980s.</p>

		<p>In 2007, when the phone rang and the gentleman on the other end had an interesting inquiry, it was Don’s son Jason who first took the call. Jason spoke with the enthusiastic Hal Craig for several minutes before going to get Don. Jason told Don the Auburn graduate on the phone wanted to discuss the possibility of franchising.</p>

		<p>“Tell him I’m too old to work that hard and I’m not interested,” Don said. Jason returned to the phone call and after chatting with Hal for several more minutes, he passed the phone to Don telling him he would have to be the one to say no. Persistence and passion paid off in the end, and Don agreed to think about it. Next, it was Don’s turn to make a phone call. For years he and his nephew Keith Schilleci, who worked at Magnolia during his time in college, had talked about working together again. He asked Keith if he would be willing to take a leap of faith, work harder than he has ever worked and become the president of Momma G’s Inc. Keith accepted and in April 2007, the second Auburn location was opened on Thach Avenue.</p>

		<p class="last">By December 2007, the first franchise opened in Homewood, Ala., under the direction of Hal Craig, Scott Dean and Justin Edwards. Today the calls keep coming and Momma’s family continues to grow.</p>

		<h3>Photos of Momma's Original Location:</h3>
	</div> <!-- .container -->

	<div class="container photo-grid">
		<div class="row">

			<div class="col-sm-3">
				<img class="img-responsive" alt="Black &amp; White photo of the original Momma G's" src="assets/original_location_b&w.jpg">
			</div>

			<div class="col-sm-3">
				<img class="img-responsive" alt="Interior of the original Momma G's" src="assets/original_location_interior1.jpg">
			</div>

			<div class="col-sm-3">
				<img class="img-responsive" alt="Interior of the original Momma G's" src="assets/original_location_interior2.jpg">
			</div>

			<div class="col-sm-3">
				<img class="img-responsive" alt="Interior of the original Momma G's" src="assets/original_location_interior3.jpg">
			</div>

		</div> <!-- .row -->
	</div> <!-- .container -->

	<div class="process first">
		<div class="container">
			<div class="row">
				<div class="col-sm-3 icon">
					<img class="img-responsive" alt="Don DeMent" src="assets/don_dement.png">
				</div>
				<div class="col-sm-9">
					<h3>Company Founder</h3>
					<p>Don DeMent built Momma Goldberg’s upon a foundation of honesty and hard work. By drawing from past experiences and sensing future trends, the business continues to grow and thrive.</p>

					<p>Don graduated from Auburn University in 1963. He moved to Birmingham, Ala., and worked in the competitive retail clothing business at the beginning of his career. Eventually he found his way back to the town of Auburn and he opened his own men’s clothing store.</p>

					<div id="bio-collapse" class="collapse">
						<p>It was while operating his men’s clothing store that Don noticed the lack of variety in local food establishments. At the time, most Auburn restaurants were the sit-down, country-cooking type or your typical burger and fries places. He felt college students and local residents would enjoy a new choice in cuisine. Momma Goldberg’s was created as a result.</p>

						<p>In September 2009, Don reached yet another crossroad. After 33 years in business, the time had come for “an old restaurateur” to retire. Don sold the two Auburn locations with rights to open a third to longtime friend and fellow restaurateur, Nick Davis. Nick brings years of experience and a vast knowledge of the industry to Momma’s family. He and his brother, Mike, are partners in operating the Auburn locations. Mike also brings years of restaurant experience and knowledge, which benefits Momma Goldberg’s Deli as a whole."</p>
					</div>

					<a id="bio-collapse-btn" href="#bio-collapse" class="capital roboto green-btn" data-toggle="collapse" aria-expanded="false" aria-controls="bio-collapse">Continue Reading<span class="overlay"></span></a>
				</div>
			</div> <!-- .row -->
		</div> <!-- .container -->
	</div> <!-- .process -->

	<?php $timeline = array(
		array(
			'year' => '1976',
			'event' => 'Magnolia location opens.'
			),
		array(
			'year' => '1978',
			'event' => "Momma's Nachos are added to the menu."
			),
		array(
			'year' => '1982',
			'event' => 'Opened a location in Columbus.'
			),
		array(
			'year' => '1984',
			'event' => 'Auburn location is on the cutting-edge of entertainment bringing in classic arcade games like Pac Man and Galactic.'
			),
		array(
			'year' => '2000',
			'event' => 'Opened a location in Cashiers, NC.'
			),
		array(
			'year' => '2007',
			'event' => 'Opened second Auburn location and first franchise in Homewood, AL.'
			),
		array(
			'year' => '2008',
			'event' => "Successfully developed our own branded Momma's Sauce, which is used on all signature sandwiches."
			),
		array(
			'year' => '2008',
			'event' => 'Received trademark registration.'
			),
		array(
			'year' => '2008',
			'event' => 'Stores opened in Tuscaloosa and LaGrange.'
			),
		array(
			'year' => '2009',
			'event' => 'Stores opened in Montgomery, Dothan, Inverness, Opelika, Mobile, and Warner Robins, GA.'
			),
		array(
			'year' => '2010',
			'event' => 'Two stores opened in Columbus, GA, as well as new locations in Huntsville, Troy and a third Auburn location. This location, off of South College, was also the first to have a drive thru window.'
			),
		array(
			'year' => '2011',
			'event' => 'Opened locations in Alabaster; Newnan, GA; Boaz, AL; and Trussville. Boaz is the second location with a drive thru window.'
			),
		array(
			'year' => '2012',
			'event' => "Momma G’s expanded into Florida's panhandle with the opening of a location in Tallahassee. Additional store openings included Athens, GA; Downtown Birmingham; and Jacksonville, AL."
			),
		array(
			'year' => '2013',
			'event' => 'Second Florida location opened in Panama City. Locations set to open by the end of the year and early 2014 include Ft. Walton Beach; Saraland, AL; Atlanta, GA; and a second Mobile location.'
			)
		)
	; ?>


	<section class="timeline">
		<div class="container">
			<h3>Timeline</h3>
			<div class="row">
				<div class="col-sm-6">

		<!--=====================================================================================-->
		<!--========== Not sure how the backend will be set up but basic loop checking ==========-->
		<!--========== for year and event, divide list in two, and add opening/closing ==========-->
		<!--========== divs halfway through to break the list into two columns.        ==========-->
		<!--=====================================================================================-->

					<?php $items = count($timeline);
						$breakpoint = floor($items / 2); ?>

					<?php $i = 0;
						foreach ($timeline as $t) : ?>
						<div class="event">
							<div class="year-wrapper">
								<div class="event-year">
									<p><?php echo $t['year']; ?></p>
									<div class="triangle"></div>
								</div>
							</div>
							<div class="event-description">
								<p><?php echo $t['event']; ?></p>
							</div>
						</div>
					<?php if ($i == $breakpoint) : ?>
						</div> <!-- .col-sm-6 -->
						<div class="col-sm-6">
					<?php endif;
						$i++; ?>
					<?php endforeach; ?>

		<!--==================== End Timeline loop ====================-->

				</div> <!-- .col-sm-6 -->
			</div> <!-- .row -->
		</div> <!-- .container -->
	</section> <!-- .timeline -->

</section> <!-- .main-content -->

<?php require 'footer.php'; ?>