<?php $title = "Our Staff - Momma Goldberg's Deli";
	$page_id = "staff"; ?>

<?php require 'header.php'; ?>

<section class="main-content">
	<div class="grunge-flipped"></div>
	<div class="page-title x4-top-padding x3-bot-padding text-center">
		<h2>Momma's Staff</h2>
	</div>

	<div class="container bios first">
		<div class="row">
			<div class="col-md-3">
				<img class="img-responsive" alt="Nick Davis" src="assets/staff/nick_davis.jpg">
			</div>
			<div class="col-md-9">
				<h6>Nick Davis</h6>
				<p>Nick Davis is a self-made man. Something Momma G’s founder, Don DeMent, relates to and respects. This helped ease the transition of Don’s baby, Momma Goldberg’s Deli, to longtime friend and original shareholder, Nick Davis.</p>

				<p>Nick now serves as the director of the board and president of Momma G’s Inc. after purchasing the majority shares from DeMent in December 2014. Nick has more than 30 years of experience in the QSR industry, most recently serving as president and owner of Progressive Restaurants, Inc. He worked with Taco Bell Corporate and was also a franchisee for 17 years. Nick started his career as an assistant manager with Taco Bell Corp., serving in roles of increasing responsibility. After seven years there, he joined one of the largest franchise groups in the Wendy’s system and served as regional director and director of marketing. He eventually became a Taco Bell franchisee and operated Progressive Restaurant Inc. He brings a wealth of experience and knowledge from both the corporate and franchisee side of the business. Nick’s career path was tailor-made for his new role and prepared him well for the adventure that lies ahead as the new man in charge of Momma G’s.</p>
			</div>
		</div> <!-- .row -->
	</div> <!-- .container -->

	<hr>

	<div class="container bios">
		<div class="row">
			<div class="col-md-3">
				<img class="img-responsive" alt="Frannie Westrich" src="assets/staff/frannie_westrich.jpg">
			</div>
			<div class="col-md-9">
				<h6>Frannie Westrich</h6>

				<p>Frannie has worked with Nick since 2002 serving the role of administrative and personal assistant. Frannie’s attention to detail serves Momma G’s well in her role supporting all aspects of real estate, banking, property maintenance and record keeping, travel planning and event coordination. Frannie also serves as the Secretary of Momma G’s Inc.</p>
			</div>
		</div> <!-- .row -->
	</div> <!-- .container -->

	<hr>

	<div class="container bios">
		<div class="row">
			<div class="col-md-3">
				<img class="img-responsive" alt="Peggy Holman" src="assets/staff/peggy_holman.jpg">
			</div>
			<div class="col-md-9">
				<h6>Peggy Holman</h6>

				<p>Peggy Holman is a financial whiz. She is detailed, practical, and analytical, making her a true asset to Momma G’s corporate family. Holman serves as the chief financial officer. She has more than 25 years of financial and accounting experience in the restaurant industry. Holman also brings a wealth of experience and wisdom to Momma G’s. Her business leadership skills are based on sound decision making and skillful judgment.</p>
			</div>
		</div> <!-- .row -->
	</div> <!-- .container -->

	<hr>

	<div class="container bios">
		<div class="row">
			<div class="col-md-3">
				<img class="img-responsive" alt="Keith Schilleci" src="assets/staff/keith_schilleci.jpg">
			</div>
			<div class="col-md-9">
				<h6>Keith Schilleci</h6>
				<p>Keith Schilleci knows Momma Goldberg’s Deli and he understands the art of selling. Before beginning a successful 35 year-plus career selling furniture to furniture stores, Schilleci was selling steamed sandwiches at the original Momma Goldberg’s Deli on Magnolia while he was in college in the late ‘70s. Eventually Momma called him home and he became president of Momma G’s Inc. in March 2007. He served in this role for eight years and now brings all of his varied experiences to Momma’s family as the vice president of franchise sales. What better person to explain to a potential franchisee the ins and outs of the entire MGD franchise business than someone who has worked it from the ground up since the beginning.</p>
			</div>
		</div> <!-- .row -->
	</div> <!-- .container -->

	<hr>

	<div class="container bios">
		<div class="row">
			<div class="col-md-3">
				<img class="img-responsive" alt="Bill King" src="assets/staff/bill_king.jpg">
			</div>
			<div class="col-md-9">
				<h6>Bill King</h6>
				<p>Bill King is a busy man. He is a recent addition to Momma’s family coming on board as vice president of operations as of December 2015. King brings more than 35 years of restaurant experience to the organization. He has worked with Nick Davis on and off for well over 20 years, most recently, serving as vice president of Progressive Restaurants, Inc., for nine years. King remains a current franchisee of Taco Bell in South Georgia and Hurricane Grill & Wings in Jacksonville, Fla. Like Holman, his attention to detail makes him an invaluable asset to our leadership team. With a seasoned approach to decision making, he brings a professional polish to Momma G’s Inc. that will continue to help our brand reach the next level of success.</p>
			</div>
		</div> <!-- .row -->
	</div> <!-- .container -->

	<hr>

	<div class="container bios">
		<div class="row">
			<div class="col-md-3">
				<img class="img-responsive" alt="Mike Davis" src="assets/staff/mike_davis.jpg">
			</div>
			<div class="col-md-9">
				<h6>Mike Davis</h6>
				<p>Mike Davis is a jack of all trades when it comes to the restaurant industry. He has more than 40 years working in the industry and has done it all. From serving tables to opening and managing Hard Rock Cafes to operating several Momma Goldberg’s Delis. Mike, who is Nick’s brother, most recently served as the managing partner for the flagship Auburn location, plus managed and operated seven additional Momma Goldberg’s units since 2009. He is now the vice president of development & food as well as the director of marketing for Momma G’s Inc. He oversees all franchise and company-restaurant development, including product development and day-to-day marketing initiatives. Mike keeps things current and exciting with new menu items and trendy POP to promote them.</p>
			</div>
		</div> <!-- .row -->
	</div> <!-- .container -->

	<div class="container bios">
		<div class="row">
			<div class="col-md-3">
				<img class="img-responsive" alt="Mike Davis" src="assets/staff/richard_matthews.jpg">
			</div>
			<div class="col-md-9">
				<h6>Richard Matthews</h6>
				<p>Richard brings a wealth of front line experience to our corporate staff. Richard worked with his family owned business operating eight Kentucky Fried Chicken franchises in central Alabama and west Georgia. Richard owned and operated seven Momma Goldbergs franchises from 2008 until February 2016 when he sold his Momma G’s restaurants to corporate and joined our team. </p>
			</div>
		</div> <!-- .row -->
	</div> <!-- .container -->

</section> <!-- .main-content -->

<?php require 'footer.php'; ?>