<?php $title = "Support - Momma Goldberg's Deli";
	$page_id = "support"; ?>

<?php require 'header.php'; ?>

<section class="main-content">
	<div class="grunge-flipped"></div>
	<div class="page-title x4-top-padding x3-bot-padding text-center">
		<h2>Support</h2>
	</div>

	<div class="container text-center">
		<p>Support begins from day one. The best way to summarize the main areas of support is to break it in to categories.<br>
		Support for the prospect comes in the form of:</p>

		<h3>Total Transparency and Guidance in the Early Stages:</h3>

		<p>To build a trusting and reciprocal relationship from the beginning, it is our philosophy to be open and forthcoming about any information related to the business of Momma Goldberg’s Deli. We are willing to openly discuss topics ranging from our history to corporate structure to operations to finances to the possible day-to-day joys and challenges of owning a restaurant. We encourage each prospect to approach the early stages of development as a time of discovery. It is the time to ask any questions you may have about Momma G’s and what to expect as a franchisee. Along with transparency, Momma G’s Inc. offers steadfast guidance from the start. It is guidance based on years of experience in the industry and sound business principles.</p>

		<h3>Site Selection Assistance:</h3>

		<p>We understand location is a leading factor in the success of your business. We offer thorough demographic analysis on potential sites to assist with this important step in the process. The data presented will include figures on daytime population, income range and the median age of surrounding residents to name a few. Aerial views of potential sites are also presented, which helps establish the lay of the land showcasing possible traffic as well as entrances/exists from the area. Momma G’s Inc. will assist with broker networking as needed.</p>

		<h3>Business Planning Assistance:</h3>

		<p>Business planning encompasses several different steps such as how to run your franchise location and providing a written plan to review with potential investors. With each team member’s professional experience as a ready resource, Momma G’s Inc. is prepared to help create a solid business plan based on our proven franchise model. We will assess all aspects of the business and apply best practices as we adapt to your location’s specific needs. We can assist with the creation of a business plan to present to financial investors as well. The business plan will include our history, our mission  our current state of affairs and examples of daily sales for comparable locations.</p>
	</div> <!-- .container -->

	<div class="text-center cta">
		<div class="container">
			<h3>No one's there for you like Momma.</h3>
			<p>We’re here for you every step along the way while you’re opening your deli and continue to support you throughout the life of your location.</p>

			<a href="/get-started" class="capital roboto green-btn">Learn More<span class="overlay"></span></a>
		</div> <!-- .container -->
	</div> <!-- .cta -->

	<div class="container text-center">
		<p>Support for the franchisee steadily continues throughout the life of your location and comes in the form of:</p>

		<h3>21-day Training Program:</h3>

		<p>During the 21-day training program you will be immersed in the world of Momma Goldberg’s. You will work closely with the vice president of operations, area coaches and local general managers. The 21-day training program is held in Auburn, Ala. It includes everything from reviewing training manuals and paperwork to managing a store and day-to-day procedures. By the end, you will be familiar with all things Momma and will be able to successfully manage your upcoming location.</p>

		<h3>Operational Support:</h3>

		<p>As we mentioned, operational support is on-going throughout the life of your store. The Restaurant Support Center based in Gainesville, Fla., is always available to address any questions you may have or to get you in touch with the right person. The vice president of operations, franchise consultant and team of area coaches are always available by phone or e-mail and they are ready to offer guidance as needed as well as regularly checking in to ensure things are progressing accordingly. It is our goal to make sure each stores operates as smoothly and successfully as possible. We believe team work is the best way to achieve this.</p>

		<h3>Field Surveys:</h3>

		<p>One way we make sure things are operating as smoothly as possible is through store visits and field surveys. With store visits, we are able to observe your staff and customer flow and interaction. We are able to assess your ordering practices and inventory levels. We will be able to make sure you are following Momma G’s cleaning and food safety guidelines. The field survey is like a report card, recognizing areas of strength and helping address areas that need improvement. It is a valuable tool in our continued efforts to provide communities with a quality product served in a hospitable environment.</p>

		<h3>P&amp;L Supervision &amp; Guidance:</h3>

		<p>One way we make sure things are operating as smoothly as possible is through store visits and field surveys. With store visits, we are able to observe your staff and customer flow and interaction. We are able to assess your ordering practices and inventory levels. We will be able to make sure you are following Momma G’s cleaning and food safety guidelines. The field survey is like a report card, recognizing areas of strength and helping address areas that need improvement. It is a valuable tool in our continued efforts to provide communities with a quality product served in a hospitable environment.</p>

		<h3>New Product Offerings:</h3>

		<p>One way to keep customers coming back while attracting new customers is through an innovative menu. At Momma G’s, the vice president of development is keeping a close eye on what items are selling and which can be rotated off the menu to make room for new product offerings. By regularly reviewing our menu and recipes, we are able to stay relevant in the competitive restaurant world. We believe in creating products using the same high quality ingredients readily available in our stores. Introducing fresh items such as our grilled wraps, international sandwiches or the most recent addition of our Love Stack Salad keeps things exciting.</p>

		<h3>Marketing Support:</h3>

		<p>Momma G’s Inc. is a proud partner with marketing and advertising legend, Landers and Partners Inc., based in Clearwater, Fla. Landers is known for their cutting-edge approach to marketing and advertising, which has lead to unrivaled experience in restaurant marketing specifically. We not only refer to Landers as our ad agency, but as our brand partners. To this end, Landers regularly communicates with our stores through informative marketing memos and creative in-store POP. This is backed by a variety of other marketing mediums to ensure the best marketing plan for each location.</p>

		<h3>Annual Franchise Meetings:</h3>

		<p>Annual franchisee meetings are typically held twice a year. Once a year, we all gather at the Creekside Lodge and Event Center located in Dadeville, Ala., on Lake Martin. It is a time for fellowship, sharing the current state of affairs of Momma G’s Inc. and Momma Goldberg’s Deli as a brand, and planning for continued success. Another meeting is held mid-year to again gather and touch base in person as a collective whole. These meetings are not only meant to inform, but also serve as a platform for open discussions among the leadership team, Landers and Partners, and the franchise groups. The old saying goes, “It takes a village to raise a child,” and we believe the same is true for Momma G’s. It takes all of us working together toward a common goal to reach it.</p>

		<h3>Open Line of Communication:</h3>

		<p>To be successful in any endeavor, open communication is a key ingredient. We believe this is a two-way street. Some ways Momma G’s Inc. will openly communicate were explained above through on-going training, operational support, field surveys, P&amp;L’s, product roll outs, marketing and annual franchise meetings. As we work toward frequent, honest communication between Momma G’s Inc. and each Momma Goldberg’s Deli, we hope to regularly hear feedback from our locations so we may continue to grow through sound business principles.</p>

</section> <!-- .main-content -->

<?php require 'footer.php'; ?>